Show / Hide Table of Contents

# Class DidOpenTextDocumentNotification

##### Inheritance

System.Object
DidOpenTextDocumentNotification

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Workspace.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class DidOpenTextDocumentNotification

### Fields

| Improve this Doc View Source

#### Type

##### Declaration

    public static readonly EventType<DidOpenTextDocumentNotification> Type

##### Field Value

Type | Description
--- | ---
EventType<DidOpenTextDocumentNotification> |

### Properties

| Improve this Doc View Source

#### TextDocument

Gets or sets the opened document.

##### Declaration

    public TextDocumentItem TextDocument { get; set; }

##### Property Value

Type | Description
--- | ---
TextDocumentItem |